<html>
<head>
<title>OGRE: Ogre::WaveformControllerFunction Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1WaveformControllerFunction.html">WaveformControllerFunction</a></div>
<h1>Ogre::WaveformControllerFunction Class Reference</h1><!-- doxytag: class="Ogre::WaveformControllerFunction" --><!-- doxytag: inherits="Ogre::ControllerFunction" -->Predefined controller function based on a waveform.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::WaveformControllerFunction:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1WaveformControllerFunction-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WaveformControllerFunction.html#1b83f439aae8d785f1db065ac7e59139">WaveformControllerFunction</a> (<a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b">WaveformType</a> wType, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> base=0, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> frequency=1, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> phase=0, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> amplitude=1, bool deltaInput=true, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> dutyCycle=0.5)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default contructor, requires at least a wave type, other parameters can be defaulted unless required.  <a href="#1b83f439aae8d785f1db065ac7e59139"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WaveformControllerFunction.html#ec4afc09add54fd7872f78e299e1d276">calculate</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> source)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Overriden function.  <a href="#ec4afc09add54fd7872f78e299e1d276"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerFunction.html#0f77d037a78ce3b430c0a18fbe711df0">calculate</a> (T sourceValue)=0</td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WaveformControllerFunction.html#950dedb7a1feb23702600ce1b8f54c31">getAdjustedInput</a> (<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> input)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Overridden from <a class="el" href="classOgre_1_1ControllerFunction.html" title="Subclasses of this class are responsible for performing a function on an input value...">ControllerFunction</a>.  <a href="#950dedb7a1feb23702600ce1b8f54c31"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerFunction.html#6c6a617c6db75b58e3e1a8a2e9dbed8e">getAdjustedInput</a> (T input)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the input value as adjusted by any delta.  <a href="#6c6a617c6db75b58e3e1a8a2e9dbed8e"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b">WaveformType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WaveformControllerFunction.html#4d20ceeb97414c820c091c2d2d1cb1ba">mWaveType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WaveformControllerFunction.html#ef4d97d6aa5570d4a4dcaeb11dd3fb34">mBase</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WaveformControllerFunction.html#293bcc15c3553f687b890ad711aab0b7">mFrequency</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WaveformControllerFunction.html#3de22fc6e6c69377856b2f97f47b299b">mPhase</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WaveformControllerFunction.html#a47e62b3fc8bf48e93e6fd280085b57b">mAmplitude</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1WaveformControllerFunction.html#649691c7cb6c4c4b10547ca66d38df7e">mDutyCycle</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerFunction.html#5141c8004f8393f985a6c06fafdb50c5">mDeltaInput</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">If true, function will add imput values together and wrap at 1.0 before evaluating.  <a href="#5141c8004f8393f985a6c06fafdb50c5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ControllerFunction.html#ddf729e6eb31d54c20e9bb48b116252e">mDeltaCount</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Predefined controller function based on a waveform. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>A waveform function translates parametric intput to parametric output based on a wave. The factors affecting the function are:<ul>
<li>wave type - the shape of the wave</li><li>base - the base value of the output from the wave</li><li>frequency - the speed of the wave in cycles per second</li><li>phase - the offset of the start of the wave, e.g. 0.5 to start half-way through the wave</li><li>amplitude - scales the output so that instead of lying within [0,1] it lies within [0,1] * amplitude</li><li>duty cycle - the active width of a PWM signal </li></ul>
</dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Note that for simplicity of integration with the rest of the controller insfrastructure, the output of the wave is parametric i.e. 0..1, rather than the typical wave output of [-1,1]. To compensate for this, the traditional output of the wave is scaled by the following function before output: </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>output = (waveoutput + 1) * 0.5 </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Hence a wave output of -1 becomes 0, a wave ouput of 1 becomes 1, and a wave output of 0 becomes 0.5. </dd></dl>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00253">253</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="1b83f439aae8d785f1db065ac7e59139"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::WaveformControllerFunction" ref="1b83f439aae8d785f1db065ac7e59139" args="(WaveformType wType, Real base=0, Real frequency=1, Real phase=0, Real amplitude=1, bool deltaInput=true, Real dutyCycle=0.5)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::WaveformControllerFunction::WaveformControllerFunction           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b">WaveformType</a>&nbsp;</td>
          <td class="paramname"> <em>wType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>base</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>frequency</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>phase</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>amplitude</em> = <code>1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>deltaInput</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>dutyCycle</em> = <code>0.5</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default contructor, requires at least a wave type, other parameters can be defaulted unless required. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>deltaInput</em>&nbsp;</td><td>If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dutyCycle</em>&nbsp;</td><td>Used in PWM mode to specify the pulse width. </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="950dedb7a1feb23702600ce1b8f54c31"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::getAdjustedInput" ref="950dedb7a1feb23702600ce1b8f54c31" args="(Real input)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::WaveformControllerFunction::getAdjustedInput           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>input</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Overridden from <a class="el" href="classOgre_1_1ControllerFunction.html" title="Subclasses of this class are responsible for performing a function on an input value...">ControllerFunction</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="ec4afc09add54fd7872f78e299e1d276"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::calculate" ref="ec4afc09add54fd7872f78e299e1d276" args="(Real source)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::WaveformControllerFunction::calculate           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>source</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Overriden function. 
<p>

</div>
</div><p>
<a class="anchor" name="6c6a617c6db75b58e3e1a8a2e9dbed8e"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::getAdjustedInput" ref="6c6a617c6db75b58e3e1a8a2e9dbed8e" args="(T input)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction</a>&lt; T &gt;::getAdjustedInput           </td>
          <td>(</td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>input</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the input value as adjusted by any delta. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00060">60</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0f77d037a78ce3b430c0a18fbe711df0"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::calculate" ref="0f77d037a78ce3b430c0a18fbe711df0" args="(T sourceValue)=0" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual T <a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction</a>&lt; T &gt;::calculate           </td>
          <td>(</td>
          <td class="paramtype">T&nbsp;</td>
          <td class="paramname"> <em>sourceValue</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="4d20ceeb97414c820c091c2d2d1cb1ba"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::mWaveType" ref="4d20ceeb97414c820c091c2d2d1cb1ba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b">WaveformType</a> <a class="el" href="classOgre_1_1WaveformControllerFunction.html#4d20ceeb97414c820c091c2d2d1cb1ba">Ogre::WaveformControllerFunction::mWaveType</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00256">256</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ef4d97d6aa5570d4a4dcaeb11dd3fb34"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::mBase" ref="ef4d97d6aa5570d4a4dcaeb11dd3fb34" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1WaveformControllerFunction.html#ef4d97d6aa5570d4a4dcaeb11dd3fb34">Ogre::WaveformControllerFunction::mBase</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00257">257</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="293bcc15c3553f687b890ad711aab0b7"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::mFrequency" ref="293bcc15c3553f687b890ad711aab0b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1WaveformControllerFunction.html#293bcc15c3553f687b890ad711aab0b7">Ogre::WaveformControllerFunction::mFrequency</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00258">258</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3de22fc6e6c69377856b2f97f47b299b"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::mPhase" ref="3de22fc6e6c69377856b2f97f47b299b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1WaveformControllerFunction.html#3de22fc6e6c69377856b2f97f47b299b">Ogre::WaveformControllerFunction::mPhase</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00259">259</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a47e62b3fc8bf48e93e6fd280085b57b"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::mAmplitude" ref="a47e62b3fc8bf48e93e6fd280085b57b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1WaveformControllerFunction.html#a47e62b3fc8bf48e93e6fd280085b57b">Ogre::WaveformControllerFunction::mAmplitude</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00260">260</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="649691c7cb6c4c4b10547ca66d38df7e"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::mDutyCycle" ref="649691c7cb6c4c4b10547ca66d38df7e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1WaveformControllerFunction.html#649691c7cb6c4c4b10547ca66d38df7e">Ogre::WaveformControllerFunction::mDutyCycle</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgrePredefinedControllers_8h-source.html#l00261">261</a> of file <a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5141c8004f8393f985a6c06fafdb50c5"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::mDeltaInput" ref="5141c8004f8393f985a6c06fafdb50c5" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction</a>&lt; T &gt;::<a class="el" href="classOgre_1_1ControllerFunction.html#5141c8004f8393f985a6c06fafdb50c5">mDeltaInput</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
If true, function will add imput values together and wrap at 1.0 before evaluating. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00055">55</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h-source.html#l00085">Ogre::ControllerFunction&lt; float &gt;::ControllerFunction()</a>, and <a class="el" href="OgreController_8h-source.html#l00060">Ogre::ControllerFunction&lt; float &gt;::getAdjustedInput()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ddf729e6eb31d54c20e9bb48b116252e"></a><!-- doxytag: member="Ogre::WaveformControllerFunction::mDeltaCount" ref="ddf729e6eb31d54c20e9bb48b116252e" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction</a>&lt; T &gt;::<a class="el" href="classOgre_1_1ControllerFunction.html#ddf729e6eb31d54c20e9bb48b116252e">mDeltaCount</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00056">56</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h-source.html#l00085">Ogre::ControllerFunction&lt; float &gt;::ControllerFunction()</a>, and <a class="el" href="OgreController_8h-source.html#l00060">Ogre::ControllerFunction&lt; float &gt;::getAdjustedInput()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePredefinedControllers_8h-source.html">OgrePredefinedControllers.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:52 2008
</p>
</body>
</html>
